- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::ImpostorSpriteManager Class Reference

Helper class for managing the reuse of ImpostorSprite resources. More...

Inheritance diagram for osg::ImpostorSpriteManager:

[legend]
List of all members.

## Public Member Functions
| ImpostorSpriteManager ()
bool | empty () const
ImpostorSprite * | first ()
ImpostorSprite * | last ()
void | push_back (ImpostorSprite *is)
void | remove (ImpostorSprite *is)
ImpostorSprite * | createOrReuseImpostorSprite (int s, int t, int frameNumber)
StateSet * | createOrReuseStateSet ()
void | reset ()
## Protected Types
typedef std::vector< ref_ptr< StateSet > > | StateSetList
## Protected Member Functions
| ~ImpostorSpriteManager ()
## Protected Attributes
ref_ptr< TexEnv > | _texenv
ref_ptr< AlphaFunc > | _alphafunc
ImpostorSprite * | _first
ImpostorSprite * | _last
StateSetList | _stateSetList
unsigned int | _reuseStateSetIndex

## Detailed Description

Helper class for managing the reuse of ImpostorSprite resources.

## Member Typedef Documentation

typedef std::vector< ref_ptr<StateSet> > osg::ImpostorSpriteManager::StateSetList`[protected]`

## Constructor & Destructor Documentation

ImpostorSpriteManager::ImpostorSpriteManager | ( |  | ) |

ImpostorSpriteManager::~ImpostorSpriteManager | ( |  | ) | `[protected]`

## Member Function Documentation

ImpostorSprite * ImpostorSpriteManager::createOrReuseImpostorSprite | ( | int | s,
|  | int | t,
|  | int | frameNumber
| ) |

StateSet * ImpostorSpriteManager::createOrReuseStateSet | ( |  | ) |

bool osg::ImpostorSpriteManager::empty | ( |  | ) | const`[inline]`

ImpostorSprite* osg::ImpostorSpriteManager::first | ( |  | ) | `[inline]`

ImpostorSprite* osg::ImpostorSpriteManager::last | ( |  | ) | `[inline]`

void ImpostorSpriteManager::push_back | ( | ImpostorSprite * | is | ) |

void ImpostorSpriteManager::remove | ( | ImpostorSprite * | is | ) |

void ImpostorSpriteManager::reset | ( |  | ) |

## Member Data Documentation

ref_ptr<AlphaFunc> osg::ImpostorSpriteManager::_alphafunc`[protected]`

ImpostorSprite* osg::ImpostorSpriteManager::_first`[protected]`

ImpostorSprite* osg::ImpostorSpriteManager::_last`[protected]`

unsigned int osg::ImpostorSpriteManager::_reuseStateSetIndex`[protected]`

StateSetList osg::ImpostorSpriteManager::_stateSetList`[protected]`

ref_ptr<TexEnv> osg::ImpostorSpriteManager::_texenv`[protected]`

The documentation for this class was generated from the following files:

- ImpostorSprite
- ImpostorSprite.cpp